Bug 463804 - [LTC 6.0 FEAT] 201750:HiperSockets enhanced SIGA
[LTC 6.0 FEAT] 201750:HiperSockets enhanced SIGA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
s390x All
high Severity high
: alpha
: ---
Assigned To: Hans-Joachim Picht
Martin Jenner
Depends On:
Blocks: 356741 465490
  Show dependency treegraph
Reported: 2008-09-24 15:00 EDT by IBM Bug Proxy
Modified: 2009-06-20 02:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-02-03 13:46:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-24 15:00:48 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-24 13:51 EDT
1. Feature Overview:
Feature Id:	[201750]
a. Name of Feature:	HiperSockets enhanced SIGA
b. Feature Description
This features takes advantage of HW possibility to allow multiple buffer per single SIGA operation,
resulting of a better performance.  It's internally implemented in the kernel driver, so the user
does not need to do anything different in the setup as he is used to.

2. Feature Details:
Sponsor:	zSeries

Arch Specificity: Purely Arch Specific Code
Affects Core Kernel: Yes
Affects Kernel Modules: Yes
Delivery Mechanism: Direct from community
Category:	Networking
Request Type:	Kernel - Enhancement from IBM
d. Upstream Acceptance:	In Progress
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.28

3. Business Case
This feature provide a better HiperSockets performance and lower CPU consumption which is what all
the customers want :-).

4. Primary contact at Red Hat: 
John Jarvis

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 IBM Bug Proxy 2008-12-04 16:10:42 EST
Hello Red Hat,
The code for this feature did not make it upstream and creates problems.
It is not expected to go upstream in the near future.

For that reason I have to DROP this feature request for RHEL6.

Please  close related RHBZ also.
This is not a feature request for RHEL 6 anymore

Closing feature request at IBM site.
Comment 2 Peter Martuccelli 2009-02-03 13:46:13 EST
Reopen if code is accepted upstream.

Note You need to log in before you can comment on or make changes to this bug.